#include <stdio.h>
#include <errno.h>
#include <string.h>

#include "mic.h"
#include "config.h"
#include "vyroci.h"

#define	debug		printf
#define	debug2	printf

int ProcessOnetime(void)
{
	FILE	*f;
	int	year,mon,day,ota,left,n,ret=0;
	char	name[200],buf[1000];
	
	if((f=fopen(cfg.ponetime,"r"))==NULL)
		fprintf(stderr,"varovani%c: Chtel jsem otevrit soubor '%s', ale nepovedlo se mi to (%s)\n",7,cfg.ponetime,errstr(errno));
	else
	{
		while(!feof(f))
		{
			year=0;mon=0;day=0;ota=0;
			bzero(buf,1000);
			
			fgets(buf,1000,f);
			
			if(buf[0]=='#' || buf[0]=='\n' || strchr(buf,'=')==NULL)
				continue;
			
			sscanf(buf,"%[^=]s ",name);
			
			if((n=strlen(name))==0)
				continue;
			
			while(name[--n]==' ')name[n]=0;
			
			n=sscanf(strchr(buf,'=')+1,"%d . %d . %d / %d \n",&day,&mon,&year,&ota);
			
			if(n>=3)
			{
				if(ota==0)ota=cfg.otdays;
				
				if((left=AbsDay(year,mon,day))==0)
					continue;
				
				if((left-=cfg.tdabs)<=ota)
				{
					printf("%s: %s\n",Str_vyroci1(left),name);
					ret++;
				}
				if(left<0)
				{
					printf("Smazat tento zaznam? ");
					if(Question("[a/N]: ",1,0,0))
						DelRecord(buf,cfg.ponetime);
				}
			}
		}
	}
	fclose(f);
	return ret;
}
