#include <string.h>
#include <errno.h>

#include "mic.h"
#include "config.h"
#include "vyroci.h"

#define	debug		printf
#define	debug2	printf

int AddOnetime()
{
	FILE	*f;
	char	event[200],buf[200];
	int	y=0,m,d,a,n,valid;
	
	printf("Pridani polozky do souboru %s\n",cfg.ponetime);
	
	if((f=fopen(cfg.ponetime,"a+"))==NULL)
		failprog(4,"chyba: Potrebuju otevrit soubor %s. Proc to nejde??? (%s)\n",cfg.ponetime,errstr(errno));
	
	do {
		printf("Pojmenovani udalosti: ");
		gets(event);
		n=strlen(event);
		while(event[--n]==' ')event[n]=0;
	} while(event[0]<32);
	
	valid=0;
	do {
		printf("Den/Mesic/Rok (napr %d/%d/%d): ",cfg.tdday,cfg.tdmon,cfg.tdyear);
		gets(buf);
		if(sscanf(buf,"%d/%d/%d",&d,&m,&y)>=2)
			valid=1;
	} while (!valid);
	
	if(y==0)
		y=cfg.tdyear;
	
	if(y<100)
		y+=cfg.tdyear-cfg.tdyear%100;
	
	a=-1;
	do {
		printf("Kolik dni predem oznamit [%d]: ",cfg.otdays);
		gets(buf);
		if(buf[0]==0)
			a=cfg.otdays;
		sscanf(buf,"%d",&a);
	} while (a<0);
	
	printf("Bylo zadano: \"%s = %02d.%02d.%02d /%d\"\n",event,d,m,y,a);
	
	if(Question("Zapsat [A/n]: ",1,0,1))
		fprintf(f,"%s = %02d.%02d.%04d /%d\n",event,d,m,y,a);
	
	fclose(f);
	return 0;
}

int AddAnnual()
{
	FILE	*f,*f2;
	char	event[200],buf[200],buf2[100];
	int	y=0,m,d,a,n,valid;
	
	printf("Pridani polozky do souboru %s\n",cfg.pannual);
	
	if((f=fopen(cfg.pannual,"a+"))==NULL)
		failprog(4,"chyba: Nemohu otevrit soubor %s pro zapis!\n",cfg.pannual);
	
	if((f2=fopen(cfg.pnameday,"r"))==NULL)
		fprintf(stderr,"varovani: Nemohu otevrit soubor %s\n",cfg.pnameday);
	
	do {
		printf("Jmeno: ");
		gets(event);
		n=strlen(event);
		while(event[--n]==' ')event[n]=0;
	} while(event[0]<32);
	
	valid=0;
	do {
		printf("Narozeniny: Den/Mesic/Rok (napr %d/%d/%d): ",cfg.tdday,cfg.tdmon,cfg.tdyear);
		gets(buf);
		if(sscanf(buf,"%d/%d/%d",&d,&m,&y)>=2)
			valid=1;
	} while (!valid);
	
	if(y==0)
		y=cfg.tdyear;
	
	if(y<100)
		y+=cfg.tdyear-cfg.tdyear%100;
	
	a=-1;
	do {
		printf("Narozeniny: Kolik dni predem oznamit [5]: ");
		gets(buf);
		if(buf[0]==0)
			a=5;
		sscanf(buf,"%d",&a);
	} while (a<0);
	
	sprintf(event,"%s = %02d.%02d.%02d /%d",event,d,m,y,a);
	
	sscanf(event,"%s",buf2);
	
	d=m=0;
	while(!feof(f2))
	{
		fgets(buf,200,f2);
		if(strstr(buf,buf2) && strchr(buf,'='))
		{
			sscanf(buf,"%d.%d. = %[^\n]",&d,&m,buf);
			printf("%s = %d/%d\n",buf,d,m);
		}
	}
	
	valid=0;
	do {
		printf("Svatek: Den/Mesic");
		if(d!=0 && m!=0)
			printf(" [%d/%d]: ",d,m);
		else
			printf(": ");
		
		gets(buf);

		if(buf[0]==0)
		{	
			valid=1;
			break;
		}
		
		if(sscanf(buf,"%d/%d",&d,&m)==2)
			valid=1;
	} while (!valid);
	
	a=-1;
	do {
		printf("Svatek: Kolik dni predem oznamit [5]: ");
		gets(buf);
		if(buf[0]==0)
			a=5;
		sscanf(buf,"%d",&a);
	} while (a<0);
	
	sprintf(event,"%s : %02d.%02d. /%d",event,d,m,a);
	
	printf("Bylo zadano: \"%s\"\n",event);
	
	if(Question("Zapsat? [A/n]: ",1,0,1))
		fprintf(f,"%s\n",event);
	
	fclose(f2);
	fclose(f);
	return 0;
}
