#include <stdio.h>
#include <stdlib.h>
#include <termcap.h>
#include <sys/ioctl.h>

#include "vyroci.h"
#define TBUFSIZ	1024

int NumRows(void)
{
	int	rows;
	char	*term,buf[TBUFSIZ];
	struct winsize	win;
	
	
	if ((term = getenv("TERM")) == 0 || tgetent(buf, term) <= 0) 
		rows=20;
	else 
		if (ioctl(fileno(stdout), TIOCGWINSZ, &win) < 0) 
			rows = tgetnum("li");
		else 
			if ((rows = win.ws_row) == 0)
				rows = tgetnum("li");
	return	rows;
}